net.corda.node.services.statemachine

## Class ErrorSessionEnd

- net.corda.node.services.statemachine.ErrorSessionEnd

- All Implemented Interfaces:
    ExistingSessionMessage, SessionEnd, SessionMessage

      public class ErrorSessionEnd
      implements SessionEnd

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorSessionEnd(long recipientSessionId, FlowException errorResponse)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `component1()`
    `FlowException` | `component2()`
    `ErrorSessionEnd` | `copy(long recipientSessionId, FlowException errorResponse)`
    `boolean` | `equals(java.lang.Object p)`
    `FlowException` | `getErrorResponse()`
    `long` | `getRecipientSessionId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.ExistingSessionMessage

      `getRecipientSessionId`

- - ### Constructor Detail

    - #### ErrorSessionEnd

          public ErrorSessionEnd(long recipientSessionId,
                                 FlowException errorResponse)

  - ### Method Detail

    - #### getRecipientSessionId

          public long getRecipientSessionId()

    - #### getErrorResponse

          public FlowException getErrorResponse()

    - #### component1

          public long component1()

    - #### component2

          public FlowException component2()

    - #### copy

          public ErrorSessionEnd copy(long recipientSessionId,
                                      FlowException errorResponse)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)